Package csb :: Package bio :: Package hmm :: Class States

[frames] | no frames]

# Class States

source code

       object --+
                |
    core.EnumBase --+
                    |
            core.enum --+
                        |
                       States

Enumeration of HMM state types

Instance Methods
Inherited from `core.enum`: `__init__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| Deletion = `Deletion`
| End = `End`
| Insertion = `Insertion`
| Match = `Match`
| Start = `Start`

Properties
Inherited from `object`: `__class__`